org.springframework.http.client

## Interface ClientHttpRequestFactory

- All Known Implementing Classes:
    AbstractClientHttpRequestFactoryWrapper, BufferingClientHttpRequestFactory, CommonsClientHttpRequestFactory, HttpComponentsClientHttpRequestFactory, InterceptingClientHttpRequestFactory, MockMvcClientHttpRequestFactory, SimpleClientHttpRequestFactory

      public interface ClientHttpRequestFactory

  Factory for `ClientHttpRequest` objects. Requests are created by the `createRequest(URI, HttpMethod)` method.
  Since:
    3.0
  Author:
    Arjen Poutsma

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientHttpRequest` | `createRequest(URI uri, HttpMethod httpMethod)` Create a new `ClientHttpRequest` for the specified URI and HTTP method.

- - ### Method Detail

    - #### createRequest

          ClientHttpRequest createRequest(URI uri,
                                        HttpMethod httpMethod)
                                          throws IOException

      Create a new `ClientHttpRequest` for the specified URI and HTTP method.

      The returned request can be written to, and then executed by calling `ClientHttpRequest.execute()`.

      Parameters:
        `uri` - the URI to create a request for
        `httpMethod` - the HTTP method to execute
      Returns:
        the created request
      Throws:
        `IOException` - in case of I/O errors